<?php
class NodeStreamWebTestCase extends DrupalWebTestCase {

  /**
   * This setUp properly works without warnings when using another installation
   * profile than testing.
   */
  protected function setUp() {
    $profile = drupal_get_profile();
    // Use the NodeStream profile if that's what's used currently.
    if ($profile == 'nodestream') {
      $this->profile = 'nodestream';
    }
    $modules = func_get_args();
    parent::setUp($modules);
  }

  /**
   * A sane version of DrupalWebTestCase::drupalLogin().
   */
  function drupalLogin(stdClass $user) {
    if ($this->loggedInUser) {
      $this->drupalLogout();
    }

    $edit = array(
      'name' => $user->name,
      'pass' => $user->pass_raw
    );
    $this->drupalPost('user', $edit, t('Log in'));
    // The user should be redirected to it's profile page.
    $pass = $this->assertTrue($this->getUrl(), 'user/' . $user->uid, t('User %name successfully logged in.', array('%name' => $user->name)), t('User login'));
    if ($pass) {
      $this->loggedInUser = $user;
    }
  }

  /**
   * Get a nice lorem ipsum string.
   * @return string
   *   A string of lorem ipsum text.
   */
  protected function loremIpsum() {
    return 'Cupcake ipsum dolor sit. Amet icing bear claw gingerbread cake danish. Fruitcake cookie bear claw danish. Pie topping gummi bears candy biscuit gingerbread carrot cake topping. Jelly-o pastry lemon drops. Marshmallow jelly-o chocolate bar sugar plum bonbon halvah fruitcake. Liquorice dragée croissant chocolate tart tiramisu lollipop. Soufflé pudding liquorice lemon drops. Brownie gummi bears tart oat cake bonbon tiramisu. Faworki toffee liquorice jelly-o. Marzipan tiramisu cake jelly-o cheesecake. Cake pastry brownie powder chupa chups. Pie dessert cake pie ice cream sugar plum marzipan icing.';
  }
}
